org.apache.fontbox.ttf.model

## Class MapBackedGsubData

- java.lang.Object
- - org.apache.fontbox.ttf.model.MapBackedGsubData

All Implemented Interfaces:
  GsubData

    public class MapBackedGsubData
    extends Object
    implements GsubData

A `Map` based simple implementation of the `GsubData`

Author:
  Palash Ray

### Field Summary

### Fields inherited from interface org.apache.fontbox.ttf.model.GsubData

`NO_DATA_FOUND`

### Constructor Summary

Constructors
Constructor and Description
`MapBackedGsubData(Language language, String activeScriptName, Map<String,Map<List<Integer>,Integer>> glyphSubstitutionMap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getActiveScriptName()` A `Language` can have more than one script that is supported.
`ScriptFeature` `getFeature(String featureName)`
`Language` `getLanguage()`
`Set<String>` `getSupportedFeatures()`
`boolean` `isFeatureSupported(String featureName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapBackedGsubData

    public MapBackedGsubData(Language language,
                             String activeScriptName,
                             Map<String,Map<List<Integer>,Integer>> glyphSubstitutionMap)

### Method Detail

#### getLanguage

    public Language getLanguage()

Specified by:
  `getLanguage` in interface `GsubData`

#### getActiveScriptName

    public String getActiveScriptName()

Description copied from interface: `GsubData`
A `Language` can have more than one script that is supported. However, at any given point, only one of the many scripts are active.

Specified by:
  `getActiveScriptName` in interface `GsubData`
Returns:
  The name of the script that is active.

#### isFeatureSupported

    public boolean isFeatureSupported(String featureName)

Specified by:
  `isFeatureSupported` in interface `GsubData`

#### getFeature

    public ScriptFeature getFeature(String featureName)

Specified by:
  `getFeature` in interface `GsubData`

#### getSupportedFeatures

    public Set<String> getSupportedFeatures()

Specified by:
  `getSupportedFeatures` in interface `GsubData`